Bug 237286 - gonvert installs a file in /usr/lib/python-2.4
Summary: gonvert installs a file in /usr/lib/python-2.4
Status: CLOSED ERRATA
Alias: None
Product: Fedora
Classification: Fedora
Component: gonvert   
(Show other bugs)
Version: rawhide
Hardware: i386 Linux
medium
medium
Target Milestone: ---
Assignee: Paul F. Johnson
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard:
Keywords:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2007-04-20 16:44 UTC by Karsten Hopp
Modified: 2007-11-30 22:12 UTC (History)
1 user (show)

Fixed In Version: 0.2.19-1.fc7
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2007-10-29 19:06:33 UTC
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

Description Karsten Hopp 2007-04-20 16:44:44 UTC
Description of problem:
gonvert seems to be the only FE package which still installs anything in
/usr/lib/python-2.4 
As we're not shipping python-2.4 in F7/Rawhide, this should be changed to
/usr/lib/python-2.5


Version-Release number of selected component (if applicable):
gonvert-0.2.15-4.fc7

Comment 1 Todd Zullinger 2007-08-18 06:26:58 UTC
Ping.  (This has been open for 2 months without a reply or fix.)

I noticed this problem today when I installed gonvert.  I took a look at the
spec file to see about fixing it.  In the process, I updated gonvert to the
latest upstream version, 0.2.19, and made some other changes to the package. 
See http://fedorapeople.org/~tmz/gonvert/ for a patch to the spec file as well
as mock builds for F-7 and devel.

Hopefully some of these changes will be useful.  At the least, the subject of
this bug should be fixed.  It results in a dangling
/usr/lib/python2.4/site-packages/share/gonvert/ directory when the package is
removed or upgraded.  I don't see any reason why the glade file should be
installed in /usr/lib/python2.x at all, whether 2.4 or 2.5.

Comment 2 Todd Zullinger 2007-09-14 17:25:46 UTC
Ping.  Please acknowledge Paul.  This has been open for months.  I sent a
private mail to you 2 weeks ago asking about this, also with no reply.  I
believe the AWOL Maintainers policy[1] is kicking in here.

[1] http://fedoraproject.org/wiki/Extras/Policy/AWOL_Maintainers

Comment 3 Fedora Update System 2007-10-18 02:30:45 UTC
gonvert-0.2.19-1.fc7 has been pushed to the Fedora 7 testing repository.  If problems still persist, please make note of it in this bug report.
 If you want to test the update, you can install it with 
 su -c 'yum --enablerepo=updates-testing update gonvert'

Comment 4 Fedora Update System 2007-10-29 19:06:31 UTC
gonvert-0.2.19-1.fc7 has been pushed to the Fedora 7 stable repository.  If problems still persist, please make note of it in this bug report.


Note You need to log in before you can comment on or make changes to this bug.